# Plugin Name: Anomate Helper

**Contributors:** Anomate.io  
**Tags:** WooCommerce, AI, Email Marketing, Automation, E-commerce  
**Requires at least:** 5.0  
**Tested up to:** 6.6  
**Stable tag:** 1.0.0  
**License:** GPLv2 or later  
**License URI:** [GPLv2 License](https://www.gnu.org/licenses/gpl-2.0.html)

## Description

Anomate Helper is a WordPress plugin that seamlessly connects your WooCommerce store to [Anomate.co](http://Anomate.co), an AI-driven platform designed to manage and grow e-commerce businesses through automated customer engagement workflows. It simplifies the process of launching effective marketing campaigns, allowing you to focus on growing your business while Anomate handles the rest.

## Features

- **AI-Powered Campaigns:** Utilize AI to create and manage email campaigns tailored to your customers.
- **Automated Customer Engagement:** Increase customer retention and acquisition with automated workflows.
- **Ready-to-Launch Kits:** Access pre-built campaign kits including emails, landing pages, and pop-ups.
- **Simple Dashboards:** Easily track your business progress with user-friendly dashboards.
- **Seamless Integration:** Quick and easy setup with your WooCommerce store.

## Installation

1. Upload the `anomate-helper` folder to the `/wp-content/plugins/` directory.
2. Activate the plugin through the 'Plugins' menu in WordPress.
3. Go to the Anomate Helper settings page to connect your Anomate account and configure the plugin.

## Frequently Asked Questions

**What is Anomate?**  
Anomate is an AI platform that helps e-commerce businesses grow by automating customer engagement workflows and marketing campaigns.

**How does it work?**  
Anomate integrates with your WooCommerce store, using AI to craft personalized emails and customer interactions. It automates campaign management, reducing the manual effort required to run effective marketing strategies.

**What are the benefits of using Anomate Helper?**  
Anomate Helper simplifies e-commerce management, boosts customer retention, and increases sales through automated, AI-driven campaigns. It saves time and effort, allowing you to focus on other aspects of your business.

## Screenshots

- **Dashboard Overview:** A quick glance at your business performance.
- **Campaign Setup:** Easy steps to launch a new marketing campaign.
- **Email Templates:** Pre-designed templates ready for use.

## Changelog

**1.0**  
Initial release of Anomate Helper.

## Upgrade Notice

**1.0**  
Initial release. Please report any issues or suggestions for improvement.

## Support

For support, please visit [Anomate Support](http://anomate.co) or contact us via the WordPress support forums.

---

Thank you for using Anomate Helper! We hope it helps your WooCommerce store grow and thrive.