<?php
  function anomate_get_checkboxes($context) {
    $enable_marketing_consent_box = get_option('anomate_enable_marketing_consent_box');
    $enable_gdpr_consent_box = get_option('anomate_enable_gdpr_consent_box');

    if ($enable_gdpr_consent_box || $enable_marketing_consent_box) :
?>
      <ul class="anomate-checkboxes">
        <?php if ($enable_marketing_consent_box) : ?>
          <?php
            $marketing_box = get_option('anomate_marketing_box');
            $tick_checkbox = get_option('anomate_tick_the_marketing_checkbox_by_default');
          ?>
          <?php if ($marketing_box) : ?>
            <li class="anomate-checkbox anomate-email-templates-paragraph-2-regular">
              <input type="checkbox" name="marketing" id="<?php echo esc_attr($context); ?>_marketing" class="anomate-checkbox__input"<?php if ($tick_checkbox) : ?> checked<?php endif; ?>>
              <label for="<?php echo esc_attr($context); ?>_marketing" class="anomate-checkbox__label"><?php echo wp_kses_post($marketing_box); ?></label>
            </li>
          <?php endif; ?>
        <?php endif; ?>
        <?php if ($enable_gdpr_consent_box) : ?>
          <?php
            $consent_box = get_option('anomate_consent_box');  
            $tick_checkbox = get_option('anomate_tick_the_consent_checkbox_by_default');
          ?>
          <?php if ($consent_box) : ?>
            <li class="anomate-checkbox anomate-email-templates-paragraph-2-regular">
              <input type="checkbox" name="gdpr" id="<?php echo esc_attr($context); ?>_gdpr" class="anomate-checkbox__input" required<?php if ($tick_checkbox) : ?> checked<?php endif; ?>>
              <label for="<?php echo esc_attr($context); ?>_gdpr" class="anomate-checkbox__label"><?php echo wp_kses_post($consent_box); ?></label>
            </li>
          <?php endif; ?>
        <?php endif; ?>
        <?php if ($context == 'anomate_raffle_giveaway_entry') : ?>
          <li class="anomate-checkbox anomate-email-templates-paragraph-2-regular">
            <input type="checkbox" name="giveaway_rules" id="<?php echo esc_attr($context); ?>_giveaway_rules" class="anomate-checkbox__input" required<?php if ($tick_checkbox) : ?> checked<?php endif; ?>>
            <label for="<?php echo esc_attr($context); ?>_giveaway_rules" class="anomate-checkbox__label">
              <?php
                printf(
                  // Translators: %s is a link to show giveaway rules and policies
                  esc_html__('I have read, accepted and understood the %s', 'anomate-helper'),
                  '<a href="#" class="anomate-rules-link">' . esc_html__('Giveaway Rules and Policies', 'anomate-helper') . '</a>'
                );
              ?>
            </label>
          </li>
        <?php endif; ?>
      </ul>
<?php
    endif;
  }
?>