<?php
  global $wp_query;

  $logo = get_option('anomate_logo');
  $brand_name = get_option('anomate_brand_name');
  $home_url = esc_url( home_url('/') );
  $entried = !empty($subscriber_data) && isset($subscriber_data->_id);
  $confirmed = $entried && (isset($subscriber_data->confirmed) && $subscriber_data->confirmed);
  $layout = ( isset($data->landingPage->layout) && ($data->landingPage->layout == 1 || $data->landingPage->layout == 2) ) ? $data->landingPage->layout : 1;
?>
<!doctype html>
  <html lang="en">
  <head>
    <title><?php esc_attr_e( (isset($data->landingPage->title) && $data->landingPage->title) ? $data->landingPage->title : __('Raffle Giveaway', 'anomate-helper') ); ?></title>
    <?php wp_head(); ?>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
  </head>
  <body class="anomate">
    <div class="anomate-giveaway anomate-giveaway_layout_<?php echo esc_attr($layout); ?>"<?php if (isset($data->landingPage->backgroundImage) && $data->landingPage->backgroundImage) : ?> style="background-image: url(<?php echo esc_url($data->landingPage->backgroundImage); ?>);"<?php endif; ?>>
      <div class="anomate-giveaway__template">
        <?php if ($logo) : ?>
          <div class="anomate-giveaway__head">
            <a href="<?php echo esc_attr($home_url); ?>" class="anomate-giveaway__head-logo">
              <img src="<?php echo esc_attr($logo); ?>" alt="<?php echo esc_attr($brand_name ?? $brand_name); ?>" class="anomate-giveaway__head-logo">
            </a>
          </div>
        <?php endif; ?>
        <div class="anomate-giveaway__body">
          <div class="anomate-g-row">
            <div class="anomate-g-col<?php if ($layout == 2) : ?> anomate-g-col_100<?php endif; ?>">
              <?php
                if (!$entried) {
                  require $template_dir . 'name.php';
                  require $template_dir . 'caption.php';
                  require $template_dir . 'price.php';
                }
                
                require $template_dir . 'countdown.php';
              ?>
              <?php if ($layout === 1) : ?>
                <div class="anomate-g-mobile anomate-g-mobile-product">
                  <?php
                    if ($confirmed) {
                      require $template_dir . 'share.php';
                    } else {
                      require $template_dir . 'product-image.php';
                      require $template_dir . 'product-name.php';
                      require $template_dir . 'product-description.php';
                    }
                  ?>
                </div>
              <?php endif; ?>
              <?php
                if (!$entried && $layout == 1) {
                  require $template_dir . 'form.php';
                }
              ?>
            </div>
            <?php if ($layout == 1) : ?>
              <div class="anomate-g-col anomate-mobile-hidden">
                <?php
                  if ($confirmed) {
                    require $template_dir . 'share.php';
                  } else {
                    require $template_dir . 'product-image.php';
                    require $template_dir . 'product-name.php';
                    require $template_dir . 'product-description.php';
                  }
                ?>
              </div>
            <?php elseif ($layout == 2) : ?>
              <div class="anomate-g-col anomate-g-col_100 anomate-g-col_mt_24-mobile">
                <div class="anomate-g-row anomate-g-row_align_top">
                  <?php if ($confirmed) : ?>
                    <div class="anomate-g-col anomate-g-col_100"><?php require $template_dir . 'share.php'; ?></div>
                  <?php else : ?>
                    <div class="anomate-g-col"><?php require $template_dir . 'product-image.php'; ?></div>
                    <div class="anomate-g-col anomate-g-col_mt_24-mobile">
                      <?php
                        require $template_dir . 'product-name.php';
                        require $template_dir . 'product-description.php';
                        require $template_dir . 'form.php';
                      ?>
                    </div>
                  <?php endif; ?>
                </div>
              </div>
            <?php endif; ?>
          </div>
        </div>
      </div>
    </div>
    <?php
      require $template_dir . 'rules-and-policies.php';
    
      wp_footer();
    ?>
  </body>
</html>